Subject: bug#37740: Deja-dup fails to build on c2734ff80987de8f0bb3e31d4339e5496a9821d2

From: P <[email-masked]>
Date: Tue, 15 Oct 2019 17:39:38 +0000

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
On Monday, October 14, 2019 2:53 PM, P via Bug reports for GNU Guix <[email-masked]> wrote:

> ‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
> On Sunday, October 13, 2019 11:05 PM, [email-masked] wrote:
>
> > Deja-dup fails to build on c2734ff80987de8f0bb3e31d4339e5496a9821d2. I
> > noticed this some "guix pull && guix package -u" ago so I'm not sure
> > when it was introduced. The log indicates that the build process stops
> > when trying to run "make -j 8 gtk_update_icon_cache=true". To reproduce
> > just running
> > guix pull --commit=c2734ff80987de8f0bb3e31d4339e5496a9821d2 && guix
> > build deja-dup
> > should do.
> > I attach the build log.
> > Thank you all for your effort both on the technical and human side of
> > free software (in the last few days I felt like you should receive more
> > thanks than you did).
> > Giacomo
>
> It looks like these are the actual errors:
> /tmp/guix-build-deja-dup-34.3.drv-0/deja-dup-34.3/libdeja/ToolPlugin.vala:78.7-78.40: error: Assignment: Cannot convert from `GLib.List<weak GLib.File>' to`GLib.List<GLib.File>'
>
>       this._restore_files = value.copy();
>
>
> /tmp/guix-build-deja-dup-34.3.drv-0/deja-dup-34.3/libdeja/CommonUtils.vala:397.65-397.78: error: The name `g_object_unref' does not exist in the context of`DejaDup.set_settings_read_only'
> g_object_unref);
> ^^^^^^^^^^^^^^
> /tmp/guix-build-deja-dup-34.3.drv-0/deja-dup-34.3/libdeja/OperationRestore.vala:36.7-36.40: error: Assignment: Cannot convert from `GLib.List<weak GLib.File>' to`GLib.List<GLib.File>'
>
>       this._restore_files = value.copy();
>       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
>
>
> It probably keeps going after the errors due to make's parallelism.

Looks like Vala is a bit outdated, gonna try to update it to the latest stable version.